#include <stdio.h>
#include "sg_lgpio.h"
#include "rc522.h"

int main(void)
{
	unsigned char IC[50] = {0};
	char str_sn[4] = {0};
	unsigned char i = 0;

	RC522_Init();
	
	printf("RC522_SPI_TEST...\r\n");
	
	printf(" start write card...\r\n");
	while(!RC522_WRITE((unsigned char *)"987654321123456")){};
	printf(" write card success...\r\n");
	
	while(1)
	{
		if(RC522_READ(IC))
		{
			printf("read card:%s\r\n",IC);
			printf("sn:");
			for(i=0;i<4;i++)
			{
				sprintf(str_sn, "%02x", SN[i]);
			    printf("0x%s ", str_sn);
			}
			printf("\r\n");
			Lgpio_write_pin(LED_PIN, LGPIO_LOW);//LED on
			LG_PWM(BUZZER_PIN,1000,50);//buzzer on
			delay(200);
			Lgpio_write_pin(LED_PIN, LGPIO_HIGH);//LED off
			LG_PWM(BUZZER_PIN,1000,0);//buzzer off
			delay(300);
		}
	} 
}
